Create a Gift Transaction
curl --request POST \
--url https://api.virtuoussoftware.com/api/v2/Gift/Transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionSource": "<string>",
"transactionId": "<string>",
"contact": {
"referenceId": "<string>",
"id": "<integer>",
"name": "<string>",
"type": "<string>",
"title": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"suffix": "<string>",
"birthMonth": "<string>",
"birthDay": "<string>",
"birthYear": "<string>",
"gender": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>"
},
"tags": "<string>",
"emailLists": [
"<string>",
"<string>"
]
},
"giftDate": "<string>",
"cancelDate": "<string>",
"giftType": "<string>",
"amount": "<string>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"frequency": "<string>",
"recurringGiftTransactionId": "<string>",
"recurringGiftTransactionUpdate": "<boolean>",
"pledgeFrequency": "<string>",
"pledgeTransactionId": "<string>",
"pledgeExpectedFullfillmentDate": "<string>",
"batch": "<string>",
"notes": "<string>",
"segment": "<string>",
"mediaOutlet": "<string>",
"receiptDate": "<string>",
"receiptSegment": "<string>",
"cashAccountingCode": "<string>",
"tribute": "<string>",
"tributeDedication": {
"tributeId": "<integer>",
"tributeType": "<string>",
"tributeFirstName": "<string>",
"tributeLastName": "<string>",
"tributeCity": "<string>",
"tributeState": "<string>",
"acknowledgeeIndividualId": "<integer>",
"acknowledgeeFirstName": "<string>",
"acknowledgeeLastName": "<string>",
"acknowledgeeAddress": "<string>",
"acknowledgeeCity": "<string>",
"acknowledgeeState": "<string>",
"acknowledgeePostal": "<string>",
"acknowledgeeEmail": "<string>",
"acknowledgeePhone": "<string>"
},
"isPrivate": "<boolean>",
"isTaxDeductible": "<boolean>",
"checkNumber": "<string>",
"creditCardType": "<string>",
"nonCashGiftTypeId": "<integer>",
"nonCashGiftType": "<string>",
"nonCashGiftDescription": "<string>",
"stockTickerSymbol": "<string>",
"stockNumberOfShares": "<integer>",
"iraCustodian": "<string>",
"submissionUrl": "<string>",
"designations": [
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"amountDesignated": "<string>"
},
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"amountDesignated": "<string>"
}
],
"premiums": [
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"quantity": "<string>"
},
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"quantity": "<string>"
}
],
"customFields": {
"fieldName": "fieldValue",
"fieldName2": "fieldValue2"
},
"customObjects": [
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"contactIndividualId": "<integer>",
"passthroughContact": {
"referenceId": "<string>",
"id": "<integer>",
"name": "<string>",
"type": "<string>",
"title": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"suffix": "<string>",
"birthMonth": "<string>",
"birthDay": "<string>",
"birthYear": "<string>",
"gender": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>"
},
"tags": "<string>",
"emailLists": [
"<string>",
"<string>"
]
},
"eventAttendee": {
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>"
}
}
'Gift Imports
Create a Gift Transaction
HMAC or OAuth Auth valid. This is the recommended way to create a gift. This ensures the gift is matched using the Virtuous matching algorithms for Contacts, Recurring gifts, Designations, etc.
POST
/
api
/
v2
/
Gift
/
Transaction
Create a Gift Transaction
curl --request POST \
--url https://api.virtuoussoftware.com/api/v2/Gift/Transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionSource": "<string>",
"transactionId": "<string>",
"contact": {
"referenceId": "<string>",
"id": "<integer>",
"name": "<string>",
"type": "<string>",
"title": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"suffix": "<string>",
"birthMonth": "<string>",
"birthDay": "<string>",
"birthYear": "<string>",
"gender": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>"
},
"tags": "<string>",
"emailLists": [
"<string>",
"<string>"
]
},
"giftDate": "<string>",
"cancelDate": "<string>",
"giftType": "<string>",
"amount": "<string>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"frequency": "<string>",
"recurringGiftTransactionId": "<string>",
"recurringGiftTransactionUpdate": "<boolean>",
"pledgeFrequency": "<string>",
"pledgeTransactionId": "<string>",
"pledgeExpectedFullfillmentDate": "<string>",
"batch": "<string>",
"notes": "<string>",
"segment": "<string>",
"mediaOutlet": "<string>",
"receiptDate": "<string>",
"receiptSegment": "<string>",
"cashAccountingCode": "<string>",
"tribute": "<string>",
"tributeDedication": {
"tributeId": "<integer>",
"tributeType": "<string>",
"tributeFirstName": "<string>",
"tributeLastName": "<string>",
"tributeCity": "<string>",
"tributeState": "<string>",
"acknowledgeeIndividualId": "<integer>",
"acknowledgeeFirstName": "<string>",
"acknowledgeeLastName": "<string>",
"acknowledgeeAddress": "<string>",
"acknowledgeeCity": "<string>",
"acknowledgeeState": "<string>",
"acknowledgeePostal": "<string>",
"acknowledgeeEmail": "<string>",
"acknowledgeePhone": "<string>"
},
"isPrivate": "<boolean>",
"isTaxDeductible": "<boolean>",
"checkNumber": "<string>",
"creditCardType": "<string>",
"nonCashGiftTypeId": "<integer>",
"nonCashGiftType": "<string>",
"nonCashGiftDescription": "<string>",
"stockTickerSymbol": "<string>",
"stockNumberOfShares": "<integer>",
"iraCustodian": "<string>",
"submissionUrl": "<string>",
"designations": [
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"amountDesignated": "<string>"
},
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"amountDesignated": "<string>"
}
],
"premiums": [
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"quantity": "<string>"
},
{
"id": "<integer>",
"name": "<string>",
"code": "<string>",
"quantity": "<string>"
}
],
"customFields": {
"fieldName": "fieldValue",
"fieldName2": "fieldValue2"
},
"customObjects": [
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"contactIndividualId": "<integer>",
"passthroughContact": {
"referenceId": "<string>",
"id": "<integer>",
"name": "<string>",
"type": "<string>",
"title": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"suffix": "<string>",
"birthMonth": "<string>",
"birthDay": "<string>",
"birthYear": "<string>",
"gender": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>"
},
"tags": "<string>",
"emailLists": [
"<string>",
"<string>"
]
},
"eventAttendee": {
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>"
}
}
'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200
OK
Last modified on April 24, 2026
Was this page helpful?
⌘I